View Issue Details

IDProjectCategoryView StatusLast Update
14616Bug reports[All Projects] Survey editingpublic2019-10-30 09:45
Reporterjelo Assigned ToLouisGac  
PriorityhighSeveritymajor 
Status assignedResolutionopen 
Product Version3.16.x 
Target VersionFixed in Version 
Summary14616: Disable AJAXMode by default or deactivate AJAXMode completly
Description

The amount of issues in the forum, which can be solved by deactivating AJAXmode is still high.

If the development of AJAX mode follows a higher purpose, the aim should be made clear.
https://www.limesurvey.org/forum/can-i-do-this-with-limesurvey/117558-can-i-disable-the-ajax-mode-and-what-is-the-impact-of-the-ajax-mode

The recommendation to deactivate AJAXmode could be part of the installation manual someday.

Additional Information

https://www.limesurvey.org/forum/can-i-do-this-with-limesurvey/117558-can-i-disable-the-ajax-mode-and-what-is-the-impact-of-the-ajax-mode

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.8+190130
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionN/A
Server OS (if known)
Webserver software & version (if known)
PHP VersionN/A

Relationships

related to 14620 closedcdorin Relevance equation cannot refer to array (numbers, checkbox) with ajax mode enabled, question-by-question layout. 
related to 14594 closed Answers lost by mandatory option 
related to 14254 confirmedmarkusfluer Quotas with AJAX == Php Notice 
related to 13860 closedmarkusfluer Unable to use button index with ajax mode 
related to 14149 assignedmarkusfluer question index/allow jumping is not working 
related to 15216 closedLouisGac ajax mode : full index broken 
related to 15343 resolvedJHoeck Disable and visually remove ajax mode UI 
related to 15393 closedcdorin Ranking question do not work with Internet Explorer 
related to 15399 closedcdorin Quotas error on redirection 

Activities

Mazi

Mazi

2019-03-14 13:26

partner   ~50983

I also strongly vote for disabling the Ajax mode by default and also consider removing the feature from LS 4. I do not see any benefit of that feature. Is that document somewhere?

DenisChenu

DenisChenu

2019-03-15 08:04

developer   ~50997

+1 ;)

Mazi

Mazi

2019-05-07 14:43

partner   ~51791

According to @c_schmitz at the DEV meeting back in April the Ajax mode will be turned off by default. Not sure if this already applies to LS 3 or will be changed at LS 4 only.

c_schmitz

c_schmitz

2019-05-07 15:15

administrator   ~51796

@LouisGac: Please make the default for new surveys to be 'Off' and mark the setting as experimental in the interface. Thank you!

LouisGac

LouisGac

2019-05-07 15:16

developer   ~51797

ok

jelo

jelo

2019-08-15 18:15

partner   ~53180

Any update on the status?

f_funke

f_funke

2019-08-22 08:55

developer   ~53222

So if I get it right, it is just the theme option "ajax mode" in bootwatch, fruity, and vanilla that has to be changed? Or is there a global way of overriding the inherited theme options?

Mazi

Mazi

2019-08-22 08:57

partner   ~53223

@f_funke, at our custom templates and shop templates we switch the Ajax mode off by default by adding a line to the config.xml file of the template.

Mazi

Mazi

2019-08-22 08:58

partner   ~53224

Of course, the long term solution would be to also clear the codebase and remove any Ajax mode related code.

DenisChenu

DenisChenu

2019-08-22 11:40

developer   ~53226

Personnaly i totally remove all ajax system in my templates …

jelo

jelo

2019-08-30 09:10

partner   ~53348

I'm pretty sure f_funke will remind LouisGac of this forgotten ticket. Not marking AJAXmode as experimental is constantly hurting the userexperience of LimeSurvey.

f_funke

f_funke

2019-08-30 09:25

developer   ~53349

Thanks for reminding, Jelo!

Mazi

Mazi

2019-09-03 19:01

partner   ~53404

I just added two more relations. Ajax mode also seems to cause problems with the question index and using jumping.

DenisChenu

DenisChenu

2019-10-11 17:18

developer   ~54011

One more

jelo

jelo

2019-10-11 17:26

partner   ~54012

It's a litmus test for the upcoming LimeSurvey designer certification. "What is the first thing you'll have to do starting a survey project?" Correct answer: Watch the AJAXmode and deactivate it.

DenisChenu

DenisChenu

2019-10-12 10:51

developer   ~54014

lol !!!

f_funke

f_funke

2019-10-28 08:13

developer   ~54236

Can be closed? See:
https://bugs.limesurvey.org/view.php?id=15343

jelo

jelo

2019-10-30 00:30

partner   ~54257

@f_funke: Why should a bug report for LS3 be closed if the bug is fixed in LS4?
Isn't a fresh LS3 installation showing an AJAXmode enabled? If that is no longer the case, this ticket can be closed.

f_funke

f_funke

2019-10-30 08:17

developer   ~54259

I checked demo.limesurvey.org (running 3.19.3) and a local fresh installation (3.19.29) and I don't see AJAX in the theme options anymore.

jelo

jelo

2019-10-30 09:26

partner   ~54261

@f_funke: 3.19.29 ? You mean 3.19.2. Sounds like the AJAX -Fix was already backported to LS3. But the developers involved should be able to give a status report. The release notes are not indicating any change in the 3.19.1-3 versions.

f_funke

f_funke

2019-10-30 09:45

developer   ~54265

@ JHoeck: Can you confirm?

Issue History

Date Modified Username Field Change
2019-03-08 03:04 jelo New Issue
2019-03-08 03:04 jelo Status new => assigned
2019-03-08 03:04 jelo Assigned To => LouisGac
2019-03-08 15:36 DenisChenu Relationship added related to 14620
2019-03-08 15:41 DenisChenu Relationship added related to 14594
2019-03-14 13:26 Mazi Note Added: 50983
2019-03-15 08:04 DenisChenu Note Added: 50997
2019-04-04 15:24 Mazi Relationship added related to 14254
2019-05-07 14:43 Mazi Note Added: 51791
2019-05-07 15:15 c_schmitz Note Added: 51796
2019-05-07 15:15 c_schmitz Priority none => high
2019-05-07 15:16 LouisGac Note Added: 51797
2019-08-15 18:15 jelo Note Added: 53180
2019-08-22 08:55 f_funke Note Added: 53222
2019-08-22 08:57 Mazi Note Added: 53223
2019-08-22 08:58 Mazi Note Added: 53224
2019-08-22 11:40 DenisChenu Note Added: 53226
2019-08-30 09:10 jelo Note Added: 53348
2019-08-30 09:25 f_funke Note Added: 53349
2019-09-03 11:19 DenisChenu Relationship added related to 15216
2019-09-03 19:00 Mazi Relationship added related to 13860
2019-09-03 19:00 Mazi Relationship added related to 14149
2019-09-03 19:01 Mazi Note Added: 53404
2019-10-08 14:36 jelo Relationship added related to 15343
2019-10-10 17:06 DenisChenu Relationship added related to 15393
2019-10-11 17:17 DenisChenu Relationship added related to 15399
2019-10-11 17:18 DenisChenu Note Added: 54011
2019-10-11 17:26 jelo Note Added: 54012
2019-10-12 10:51 DenisChenu Note Added: 54014
2019-10-28 08:13 f_funke Note Added: 54236
2019-10-30 00:30 jelo Note Added: 54257
2019-10-30 08:17 f_funke Note Added: 54259
2019-10-30 09:26 jelo Note Added: 54261
2019-10-30 09:45 f_funke Note Added: 54265
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing